/***************************************************************************
                          graphnumber.h  -  description
                             -------------------
    begin                : Mon Mar 5 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GRAPHNUMBER_H
#define GRAPHNUMBER_H

#include "graph.h"
#include <functional>

namespace graphlib {

/**
  *@internal
  *
  */

class GraphNumber : public unary_function<Graph*,bool>
{
  public:
    explicit GraphNumber(int i) : number(i) {}
    bool operator()(const Graph* g) const
    {
      return g->index() == number;
    }
  private:
    int number;

}; // class GraphNumber

} // namespace graphlib
#endif //GRAPHNUMBER_H

/* end of file */
