/***************************************************************************
                          samecomponent.h  -  description
                             -------------------
    begin                : Mon Mar 5 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SAMECOMPONENT_H
#define SAMECOMPONENT_H

#include "component.h"
#include <functional>

namespace graphlib {

/**
  *@internal
  *
  */

class SameComponent : public equal_to<Component*>
{
  public:
    bool operator()(const Component* x, const Component* y) const
    {
      return (x->belongs2component()==y->belongs2component() && x->numberNodes() > y->numberNodes());
    }

}; // class SameComponent


} // namespace graphlib
#endif //SAMECOMPONENT_H

/* end of file */
